- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BlisBranchStrategyPseudo Class Reference

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable. More...

`#include <BlisBranchStrategyPseudo.h>`

Inheritance diagram for BlisBranchStrategyPseudo:

[legend]
Collaboration diagram for BlisBranchStrategyPseudo:

[legend]
List of all members.

## Public Member Functions
| BlisBranchStrategyPseudo ()
| Default Constructor.
| BlisBranchStrategyPseudo (BlisModel *model, int rel)
| Useful Constructor.
virtual | ~BlisBranchStrategyPseudo ()
| Destructor.
| BlisBranchStrategyPseudo (const BlisBranchStrategyPseudo &)
| Copy constructor.
void | setRelibility (int rel)
| Set relibility.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
int | createCandBranchObjects (int numPassesLeft, double ub)
| Create a set of candidate branching objects.
| BlisBranchStrategyPseudo ()
| Default Constructor.
| BlisBranchStrategyPseudo (BlisModel *model, int rel)
| Useful Constructor.
virtual | ~BlisBranchStrategyPseudo ()
| Destructor.
| BlisBranchStrategyPseudo (const BlisBranchStrategyPseudo &)
| Copy constructor.
void | setRelibility (int rel)
| Set relibility.
virtual BcpsBranchStrategy * | clone () const
| Clone a brancing strategy.
virtual int | betterBranchObject (BcpsBranchObject *thisOne, BcpsBranchObject *bestSoFar)
| Compare branching object thisOne to bestSoFar.
int | createCandBranchObjects (int numPassesLeft, double ub)
| Create a set of candidate branching objects.
## Private Member Functions
BlisBranchStrategyPseudo & | operator= (const BlisBranchStrategyPseudo &rhs)
| Illegal Assignment operator.
BlisBranchStrategyPseudo & | operator= (const BlisBranchStrategyPseudo &rhs)
| Illegal Assignment operator.
## Private Attributes
int | relibility_

## Detailed Description

Blis branching strategy default class This class implements a simple default algorithm, betterBranchObject(), for choosing a branching variable.

This class implements pseudocost branching.

Definition at line 41 of file BlisBranchStrategyPseudo.h.

## Constructor & Destructor Documentation

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 52 of file BlisBranchStrategyPseudo.h.

Referenced by clone().

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( | BlisModel * | model,
|  | int | rel |
| ) |  |  | `[inline]`

Useful Constructor.

Definition at line 55 of file BlisBranchStrategyPseudo.h.

virtual BlisBranchStrategyPseudo::~BlisBranchStrategyPseudo | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 62 of file BlisBranchStrategyPseudo.h.

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( | const BlisBranchStrategyPseudo & |  | ) |

Copy constructor.

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 51 of file BlisBranchStrategyPseudo.h.

References BlisBranchingStrategyPseudoCost, relibility_, and BcpsBranchStrategy::type_.

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( | BlisModel * | model,
|  | int | rel |
| ) |  |  | `[inline]`

Useful Constructor.

Definition at line 57 of file BlisBranchStrategyPseudo.h.

References BlisBranchingStrategyPseudoCost, relibility_, and BcpsBranchStrategy::type_.

virtual BlisBranchStrategyPseudo::~BlisBranchStrategyPseudo | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 64 of file BlisBranchStrategyPseudo.h.

BlisBranchStrategyPseudo::BlisBranchStrategyPseudo | ( | const BlisBranchStrategyPseudo & |  | ) |

Copy constructor.

## Member Function Documentation

BlisBranchStrategyPseudo& BlisBranchStrategyPseudo::operator= | ( | const BlisBranchStrategyPseudo & | rhs | ) | `[private]`

Illegal Assignment operator.

void BlisBranchStrategyPseudo::setRelibility | ( | int | rel | ) | `[inline]`

Set relibility.

Definition at line 68 of file BlisBranchStrategyPseudo.h.

References relibility_.

virtual BcpsBranchStrategy* BlisBranchStrategyPseudo::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 71 of file BlisBranchStrategyPseudo.h.

References BlisBranchStrategyPseudo().

virtual int BlisBranchStrategyPseudo::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

int BlisBranchStrategyPseudo::createCandBranchObjects | ( | int | numPassesLeft,
|  | double | ub |
| ) |  |  | `[virtual]`

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

BlisBranchStrategyPseudo& BlisBranchStrategyPseudo::operator= | ( | const BlisBranchStrategyPseudo & | rhs | ) | `[private]`

Illegal Assignment operator.

void BlisBranchStrategyPseudo::setRelibility | ( | int | rel | ) | `[inline]`

Set relibility.

Definition at line 70 of file BlisBranchStrategyPseudo.h.

References relibility_.

virtual BcpsBranchStrategy* BlisBranchStrategyPseudo::clone | ( |  | ) | const`[inline, virtual]`

Clone a brancing strategy.

Implements BcpsBranchStrategy.

Definition at line 73 of file BlisBranchStrategyPseudo.h.

References BlisBranchStrategyPseudo().

virtual int BlisBranchStrategyPseudo::betterBranchObject | ( | BcpsBranchObject * | thisOne,
|  | BcpsBranchObject * | bestSoFar |
| ) |  |  | `[virtual]`

Compare branching object thisOne to bestSoFar.

If thisOne is better than bestObject, return branching direction(1 or -1), otherwise return 0. If bestSorFar is NULL, then always return branching direction(1 or -1).

Implements BcpsBranchStrategy.

int BlisBranchStrategyPseudo::createCandBranchObjects | ( | int | numPassesLeft,
|  | double | ub |
| ) |  |  | `[virtual]`

Create a set of candidate branching objects.

Reimplemented from BcpsBranchStrategy.

## Member Data Documentation

int BlisBranchStrategyPseudo::relibility_`[private]`

Definition at line 47 of file BlisBranchStrategyPseudo.h.

Referenced by BlisBranchStrategyPseudo(), and setRelibility().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/Blis-0.92.0/Bcps/examples/Blis/BlisBranchStrategyPseudo.h
- /home/coin/SVN-release/Blis-0.92.0/Blis/src/BlisBranchStrategyPseudo.h